: Class LDAP_Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook.addresscard
Class LDAP_Attribute

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.LDAP_Attribute

public class LDAP_Attribute
extends java.lang.Object
implements IAttribute

Constructor Summary
`protected` | `LDAP_Attribute(netscape.ldap.LDAPAttribute anAttribute)`

Method Summary
`java.lang.String` | `getName()` Return the name of this attribute.
`java.lang.String` | `getValue()` Return the first string value of this attribute.
`boolean` | `isDeleted()` Has the attribute been deleted since the last update with it's parent.
`boolean` | `isModified()` Has the attribute been modified since the last update with it's parent.
`boolean` | `isNew()` Has the attribute new to the parent?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAP_Attribute

    protected LDAP_Attribute(netscape.ldap.LDAPAttribute anAttribute)

Method Detail

### getName

    public java.lang.String getName()

  Return the name of this attribute.
  Specified by:
    getName in interface IAttribute

### getValue

    public java.lang.String getValue()

  Return the first string value of this attribute.
  Specified by:
    getValue in interface IAttribute

### isNew

    public boolean isNew()

  Has the attribute new to the parent?
  Specified by:
    isNew in interface IAttribute

### isDeleted

    public boolean isDeleted()

  Has the attribute been deleted since the last update with it's parent.
  Specified by:
    isDeleted in interface IAttribute

### isModified

    public boolean isModified()

  Has the attribute been modified since the last update with it's parent.
  Specified by:
    isModified in interface IAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD